be.fgov.ehealth.etee.crypto.eid

## Interface EidSmartCardReader

-     public interface EidSmartCardReader

  Eid smart card reader interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEidCardPresent()`
    `boolean` | `isReaderPresent()`
    `java.security.KeyStore` | `readKeyStore(be.fedict.commons.eid.client.spi.BeIDCardUI userInterface)`
    `boolean` | `waitForCard(long timeout)`
    `boolean` | `waitForCardReader(long timeout)`

- - ### Method Detail

    - #### isReaderPresent

          boolean isReaderPresent()
                           throws be.fgov.ehealth.etee.crypto.eid.exception.SmartCardReaderException

      Returns:
        true if there is a smart card reader connected.
      Throws:
        `be.fgov.ehealth.etee.crypto.eid.exception.SmartCardReaderException`

    - #### isEidCardPresent

          boolean isEidCardPresent()

      Returns:
        true if there is an eID card in the reader.

    - #### waitForCardReader

          boolean waitForCardReader(long timeout)
                             throws be.fgov.ehealth.etee.crypto.eid.exception.SmartCardReaderException

      Parameters:
        `timeout` - The maximum time for waiting a smart card reader.
      Returns:
        true if a smart card reader is found before the timeout.
      Throws:
        `be.fgov.ehealth.etee.crypto.eid.exception.SmartCardReaderException`

    - #### waitForCard

          boolean waitForCard(long timeout)
                       throws be.fgov.ehealth.etee.crypto.eid.exception.SmartCardReaderException

      Parameters:
        `timeout` - The maximum time for waiting an eID card.
      Returns:
        true if an eID card is found before the timeout.
      Throws:
        `be.fgov.ehealth.etee.crypto.eid.exception.SmartCardReaderException`

    - #### readKeyStore

          java.security.KeyStore readKeyStore(be.fedict.commons.eid.client.spi.BeIDCardUI userInterface)
                                       throws be.fgov.ehealth.etee.crypto.eid.exception.SmartCardReaderException,
                                              be.fgov.ehealth.etee.crypto.eid.exception.NoAvailableSmartCardException

      Returns:
        the read `KeyStore` on the EID card.
      Throws:
        `be.fgov.ehealth.etee.crypto.eid.exception.SmartCardReaderException`
        `be.fgov.ehealth.etee.crypto.eid.exception.NoAvailableSmartCardException`

Copyright © 2025 eHealth. All rights reserved.